﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewCustomEditAppointmentDialog
{
    public class ViewModel
    {
        private IEnumerable<IResource> resourcesStatus;

        public ObservableCollection<Appointment> Appointments { get; set; }

        public ObservableCollection<ResourceType> ResourceTypes { get; set; }

        public ViewModel()
        {
            this.Appointments = new ObservableCollection<Appointment>();

            this.resourcesStatus = new List<IResource>
            {
                   new Resource("Erfasst", "Status"),
                   new Resource("Aktiv", "Status"),
                   new Resource("Fertig", "Status"),
            };

            ResourceType resourceTypeStatus = new ResourceType("Status"); 
            resourceTypeStatus.Resources.AddRange(this.resourcesStatus);

            this.ResourceTypes = new ObservableCollection<ResourceType>() {resourceTypeStatus};
            
        }
    }
}
